Skip to main content

Get list of tasks

GET 

/v2/actor-tasks

Gets the complete list of tasks that a user has created or used.

The response is a list of objects in which each object contains essential information about a single task.

The endpoint supports pagination using the limit and offset parameters, and it does not return more than a 1000 records.

By default, the records are sorted by the createdAt field in ascending order; therefore you can use pagination to incrementally fetch all tasks while new ones are still being created. To sort the records in descending order, use the desc=1 parameter.

Request

Query Parameters

    offset double

    Number of items that should be skipped at the start. The default value is 0.


    Example: 0
    limit double

    Maximum number of items to return. The default value as well as the maximum is 1000.


    Example: 1000
    desc boolean

    If true or 1 then the objects are sorted by the createdAt field in descending order. By default, they are sorted in ascending order.


    Example: true

Status 200

Response Headers
  • X-Apify-Pagination-Offset

    The offset of the first item in the current page.

  • X-Apify-Pagination-Limit

    The maximum number of items returned per page.

  • X-Apify-Pagination-Count

    The number of items returned in the current page.

  • X-Apify-Pagination-Total

    The total number of items available.

  • X-Apify-Pagination-Desc

    Whether the items are sorted in descending order.

{
"data": {
"total": 2,
"offset": 0,
"limit": 1000,
"desc": false,
"count": 2,
"items": [
{
"id": "zdc3Pyhyz3m8vjDeM",
"userId": "wRsJZtadYvn4mBZmm",
"actId": "asADASadYvn4mBZmm",
"actName": "my-actor",
"name": "my-task",
"username": "janedoe",
"actUsername": "janedoe",
"createdAt": "2018-10-26T07:23:14.855Z",
"modifiedAt": "2018-10-26T13:30:49.578Z",
"stats": {
"totalRuns": 15
}
},
{
"id": "aWE3asdas3m8vjDeM",
"userId": "wRsJZtadYvn4mBZmm",
"actId": "asADASadYvn4mBZmm",
"actName": "my-actor",
"actUsername": "janedoe",
"name": "my-task-2",
"username": "janedoe",
"createdAt": "2018-10-26T07:23:14.855Z",
"modifiedAt": "2018-10-26T13:30:49.578Z",
"stats": {
"totalRuns": 4
}
}
]
}
}